Feedback
Date: 2013-06-18

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.vremanagement.resourcebroker.utils.serialization.types.feedback
Class Feedback

    java.lang.Object
      org.gcube.vremanagement.resourcebroker.utils.serialization.types.feedback.Feedback

    public class Feedback

extends java.lang.Object

Author:
  Daniele Strollo (ISTI-CNR)

Field Summary
`static java.lang.String` | `NODE_TAG`

Constructor Summary
`Feedback()` Deprecated. for internal use only.
`Feedback(PlanBuilderIdentifier workflowSession, java.lang.String scope)`

Method Summary
`void` | `addDeployNode(DeployNode deployNode)`
`java.util.List<DeployNode>` | `getDeployNodes()`
`java.lang.String` | `getPlanID()`
`java.lang.String` | `getScope()`
`int` | `getScore()` If the Feedback does not have a status the score is evaluated.
`void` | `setPlanID(java.lang.String planID)`
`void` | `setScope(java.lang.String scope)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NODE_TAG

    public static final java.lang.String NODE_TAG

See Also:
  Constant Field Values

Constructor Detail

### Feedback

    public Feedback()

  Deprecated. for internal use only.

### Feedback

    public Feedback(PlanBuilderIdentifier workflowSession,
                    java.lang.String scope)

Method Detail

### getPlanID

    public final java.lang.String getPlanID()

### setPlanID

    public final void setPlanID(java.lang.String planID)

### getScore

    public final int getScore()

  If the Feedback does not have a status the score is evaluated.

### getDeployNodes

    public final java.util.List<DeployNode> getDeployNodes()

### addDeployNode

    public final void addDeployNode(DeployNode deployNode)

### getScope

    public final java.lang.String getScope()

### setScope

    public final void setScope(java.lang.String scope)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD